Index: moodle/mod/forum/lib.php
--- moodle/mod/forum/lib.php Base (1.859)
+++ moodle/mod/forum/lib.php Locally Modified (Based On 1.859)
@@ -5965,10 +5340,8 @@
 
                 $postread = !empty($post->postread);
 
-                if (forum_print_post($post, $discussion, $forum, $cm, $course, $ownpost, $reply, $link, $ratings,
-                                     '', '', $postread, true, $forumtracked)) {
-                    $ratingsmenuused = true;
-                }
+                forum_print_post($post, $discussion, $forum, $cm, $course, $ownpost, $reply, $link, $ratings,
+                                     '', '', $postread, true, $forumtracked);
             } else {
                 if (!forum_user_can_see_post($forum, $discussion, $post, NULL, $cm)) {
                     echo "</div>\n";
@@ -5993,25 +5366,22 @@
                 echo "</span>";
             }
 
-            if (forum_print_posts_threaded($course, $cm, $forum, $discussion, $post, $depth-1, $ratings, $reply, $forumtracked, $posts)) {
-                $ratingsmenuused = true;
-            }
+            forum_print_posts_threaded($course, $cm, $forum, $discussion, $post, $depth-1, $ratings, $reply, $forumtracked, $posts);
             echo "</div>\n";
         }
     }
-    return $ratingsmenuused;
 }
 
 /**
  * @todo Document this function
  * @global object
  * @global object
+ * @return void
  */
-function forum_print_posts_nested($course, &$cm, $forum, $discussion, $parent, $ratings, $reply, $forumtracked, $posts) {
+function forum_print_posts_nested($course, &$cm, $forum, $discussion, $parent, $reply, $forumtracked, $posts) {
     global $USER, $CFG;
 
     $link  = false;
-    $ratingsmenuused = false;
 
     if (!empty($posts[$parent->id]->children)) {
         $posts = $posts[$parent->id]->children;
@@ -6028,17 +5398,12 @@
             $post->subject = format_string($post->subject);
             $postread = !empty($post->postread);
 
-            if (forum_print_post($post, $discussion, $forum, $cm, $course, $ownpost, $reply, $link, $ratings,
-                                 '', '', $postread, true, $forumtracked)) {
-                $ratingsmenuused = true;
-            }
-            if (forum_print_posts_nested($course, $cm, $forum, $discussion, $post, $ratings, $reply, $forumtracked, $posts)) {
-                $ratingsmenuused = true;
-            }
+            forum_print_post($post, $discussion, $forum, $cm, $course, $ownpost, $reply, $link,
+                                 '', '', $postread, true, $forumtracked);
+            forum_print_posts_nested($course, $cm, $forum, $discussion, $post, $reply, $forumtracked, $posts);
             echo "</div>\n";
         }
     }
-    return $ratingsmenuused;
 }
 
 /**
@@ -7880,20 +7245,6 @@
 }
 
 /**
- * Returns array of forum aggregate types
- *
- * @return array
- */
-function forum_get_aggregate_types() {
-    return array (FORUM_AGGREGATE_NONE  => get_string('aggregatenone', 'forum'),
-                  FORUM_AGGREGATE_AVG   => get_string('aggregateavg', 'forum'),
-                  FORUM_AGGREGATE_COUNT => get_string('aggregatecount', 'forum'),
-                  FORUM_AGGREGATE_MAX   => get_string('aggregatemax', 'forum'),
-                  FORUM_AGGREGATE_MIN   => get_string('aggregatemin', 'forum'),
-                  FORUM_AGGREGATE_SUM   => get_string('aggregatesum', 'forum'));
-}
-
-/**
  * Returns array of forum layout modes
  *
  * @return array
Index: moodle/mod/forum/mod_form.php
--- moodle/mod/forum/mod_form.php Base (1.43)
+++ moodle/mod/forum/mod_form.php Locally Modified (Based On 1.43)
@@ -107,28 +107,6 @@
         }
 
 //-------------------------------------------------------------------------------
-        /*$mform->addElement('header', '', get_string('grade'));
-
-        $mform->addElement('select', 'assessed', get_string('aggregatetype', 'forum') , forum_get_aggregate_types());
-        $mform->setDefault('assessed', 0);
-        $mform->setHelpButton('assessed', array('assessaggregate', get_string('aggregatetype', 'forum'), 'forum'));
-
-        $mform->addElement('modgrade', 'scale', get_string('grade'), false);
-        $mform->disabledIf('scale', 'assessed', 'eq', 0);
-
-        $mform->addElement('checkbox', 'ratingtime', get_string('ratingtime', 'forum'));
-        $mform->disabledIf('ratingtime', 'assessed', 'eq', 0);
-
-        $mform->addElement('date_time_selector', 'assesstimestart', get_string('from'));
-        $mform->disabledIf('assesstimestart', 'assessed', 'eq', 0);
-        $mform->disabledIf('assesstimestart', 'ratingtime');
-
-        $mform->addElement('date_time_selector', 'assesstimefinish', get_string('to'));
-        $mform->disabledIf('assesstimefinish', 'assessed', 'eq', 0);
-        $mform->disabledIf('assesstimefinish', 'ratingtime');*/
-
-
-//-------------------------------------------------------------------------------
         $mform->addElement('header', '', get_string('blockafter', 'forum'));
         $options = array();
         $options[0] = get_string('blockperioddisabled','forum');
Index: moodle/mod/glossary/backuplib.php
--- moodle/mod/glossary/backuplib.php Base (1.37)
+++ moodle/mod/glossary/backuplib.php Locally Modified (Based On 1.37)
@@ -246,7 +246,8 @@
     }
 
    //Backup glossary_ratings contents (executed from backup_glossary_entries)
-    function backup_glossary_ratings ($bf,$preferences,$entryid) {
+   //todo andrew can this be removed?
+    /*function backup_glossary_ratings ($bf,$preferences,$entryid) {
         global $CFG, $DB;
 
         $status = true;
@@ -267,7 +268,7 @@
             $status =fwrite ($bf,end_tag("RATINGS",6,true));
         }
         return $status;
-    }
+    }*/
 
     //Backup glossary_alias contents (executed from backup_glossary_entries)
     function backup_glossary_aliases ($bf,$preferences,$entryid) {
Index: moodle/mod/glossary/db/upgrade.php
--- moodle/mod/glossary/db/upgrade.php Base (1.34)
+++ moodle/mod/glossary/db/upgrade.php Locally Modified (Based On 1.34)
@@ -273,8 +273,6 @@
 
         //todo andrew drop glossary_ratings
 
-        //todo andrew set rating permissions based on current value of glossary.assessed
-
         upgrade_mod_savepoint($result, 2010041300, 'glossary');
     }
 
Index: moodle/mod/glossary/formats/continuous/continuous_format.php
--- moodle/mod/glossary/formats/continuous/continuous_format.php Base (1.14)
+++ moodle/mod/glossary/formats/continuous/continuous_format.php Locally Modified (Based On 1.14)
@@ -1,6 +1,6 @@
 <?php
 
-function glossary_show_entry_continuous($course, $cm, $glossary, $entry, $mode='', $hook='', $printicons=1, $ratings=NULL, $aliases=false) {
+function glossary_show_entry_continuous($course, $cm, $glossary, $entry, $mode='', $hook='', $printicons=1, $aliases=false) {
 
     global $USER;
 
@@ -17,15 +17,13 @@
     echo '</td></tr>';
 
     echo '<tr valign="top"><td class="entrylowersection">';
-    $return = glossary_print_entry_lower_section($course, $cm, $glossary, $entry, $mode, $hook, $printicons, $ratings, $aliases);
+    glossary_print_entry_lower_section($course, $cm, $glossary, $entry, $mode, $hook, $printicons, $aliases);
     echo '</td>';
     echo '</tr>';
     echo "</table>\n";
-
-    return $return;
 }
 
-function glossary_print_entry_continuous($course, $cm, $glossary, $entry, $mode='', $hook='', $printicons=1, $ratings=NULL) {
+function glossary_print_entry_continuous($course, $cm, $glossary, $entry, $mode='', $hook='', $printicons=1) {
 
     //The print view for this format is exactly the normal view, so we use it
 
@@ -33,7 +31,7 @@
     $entry->definition = '<span class="nolink">'.$entry->definition.'</span>';
 
     //Call to view function (without icons, ratings and aliases) and return its result
-    return glossary_show_entry_continuous($course, $cm, $glossary, $entry, $mode, $hook, false, false, false);
+    glossary_show_entry_continuous($course, $cm, $glossary, $entry, $mode, $hook, false, false, false);
 
 }
 
Index: moodle/mod/glossary/formats/dictionary/dictionary_format.php
--- moodle/mod/glossary/formats/dictionary/dictionary_format.php Base (1.13)
+++ moodle/mod/glossary/formats/dictionary/dictionary_format.php Locally Modified (Based On 1.13)
@@ -1,6 +1,6 @@
 <?php
 
-function glossary_show_entry_dictionary($course, $cm, $glossary, $entry, $mode='', $hook='', $printicons=1, $ratings=NULL, $aliases=true) {
+function glossary_show_entry_dictionary($course, $cm, $glossary, $entry, $mode='', $hook='', $printicons=1, $aliases=true) {
 
     global $CFG, $USER;
 
@@ -15,15 +15,13 @@
     glossary_print_entry_definition($entry, $glossary, $cm);
     echo '</td></tr>';
     echo '<tr valign="top"><td class="entrylowersection">';
-    $return = glossary_print_entry_lower_section($course, $cm, $glossary, $entry, $mode, $hook, $printicons, $ratings, $aliases);
+    glossary_print_entry_lower_section($course, $cm, $glossary, $entry, $mode, $hook, $printicons, $aliases);
     echo '</td>';
     echo '</tr>';
     echo "</table>\n";
-
-    return $return;
 }
 
-function glossary_print_entry_dictionary($course, $cm, $glossary, $entry, $mode='', $hook='', $printicons=1, $ratings=NULL) {
+function glossary_print_entry_dictionary($course, $cm, $glossary, $entry, $mode='', $hook='', $printicons=1) {
 
     //The print view for this format is exactly the normal view, so we use it
 
Index: moodle/mod/glossary/formats/encyclopedia/encyclopedia_format.php
--- moodle/mod/glossary/formats/encyclopedia/encyclopedia_format.php Base (1.26)
+++ moodle/mod/glossary/formats/encyclopedia/encyclopedia_format.php Locally Modified (Based On 1.26)
@@ -1,13 +1,12 @@
 <?php
 
-function glossary_show_entry_encyclopedia($course, $cm, $glossary, $entry, $mode='',$hook='',$printicons=1,$ratings=NULL, $aliases=true) {
+function glossary_show_entry_encyclopedia($course, $cm, $glossary, $entry, $mode='',$hook='',$printicons=1, $aliases=true) {
     global $CFG, $USER, $DB, $OUTPUT;
 
 
     $user = $DB->get_record('user', array('id'=>$entry->userid));
     $strby = get_string('writtenby', 'glossary');
 
-    $return = false;
     if ($entry) {
         echo '<table class="glossarypost encyclopedia" cellspacing="0">';
         echo '<tr valign="top">';
@@ -50,11 +49,11 @@
         }
         glossary_print_entry_definition($entry, $glossary, $cm);
 
-        if ($printicons or $ratings or $aliases) {
+        if ($printicons or $aliases) {
             echo '</td></tr>';
             echo '<tr>';
             echo '<td colspan="2" class="entrylowersection">';
-            $return = glossary_print_entry_lower_section($course, $cm, $glossary, $entry,$mode,$hook,$printicons,$ratings, $aliases);
+            glossary_print_entry_lower_section($course, $cm, $glossary, $entry,$mode,$hook,$printicons,$aliases);
             echo ' ';
         }
 
@@ -66,11 +65,9 @@
         print_string('noentry', 'glossary');
         echo '</div>';
     }
-
-    return $return;
 }
 
-function glossary_print_entry_encyclopedia($course, $cm, $glossary, $entry, $mode='', $hook='', $printicons=1, $ratings=NULL) {
+function glossary_print_entry_encyclopedia($course, $cm, $glossary, $entry, $mode='', $hook='', $printicons=1) {
 
     //The print view for this format is exactly the normal view, so we use it
 
@@ -79,7 +76,7 @@
 
     //Call to view function (without icons, ratings and aliases) and return its result
 
-    return glossary_show_entry_encyclopedia($course, $cm, $glossary, $entry, $mode, $hook, false, false, false);
+    return glossary_show_entry_encyclopedia($course, $cm, $glossary, $entry, $mode, $hook, false, false);
 
 }
 
Index: moodle/mod/glossary/formats/entrylist/entrylist_format.php
--- moodle/mod/glossary/formats/entrylist/entrylist_format.php Base (1.19)
+++ moodle/mod/glossary/formats/entrylist/entrylist_format.php Locally Modified (Based On 1.19)
@@ -1,6 +1,6 @@
 <?php
 
-function glossary_show_entry_entrylist($course, $cm, $glossary, $entry, $mode='', $hook='', $printicons=1, $ratings=NULL, $aliases=true) {
+function glossary_show_entry_entrylist($course, $cm, $glossary, $entry, $mode='', $hook='', $printicons=1, $aliases=true) {
     global $USER;
 
     $return = false;
@@ -18,10 +18,10 @@
         if ($printicons) {
             glossary_print_entry_icons($course, $cm, $glossary, $entry, $mode, $hook,'print');
         }
-        if ($ratings) {
+        if ($entry->rating) {
             echo '<br />';
             echo '<span class="ratings">';
-            $return = glossary_print_entry_ratings($course, $entry, $ratings);
+            $return = glossary_print_entry_ratings($course, $entry);
             echo '</span>';
         }
         echo '<br />';
@@ -36,7 +36,7 @@
     return $return;
 }
 
-function glossary_print_entry_entrylist($course, $cm, $glossary, $entry, $mode='', $hook='', $printicons=1, $ratings=NULL) {
+function glossary_print_entry_entrylist($course, $cm, $glossary, $entry, $mode='', $hook='', $printicons=1) {
 
     //The print view for this format is different from the normal view, so we implement it here completely
     global $CFG, $USER;
@@ -52,12 +52,10 @@
     glossary_print_entry_concept($entry);
     echo ':</b> ';
     glossary_print_entry_definition($entry, $glossary, $cm);
-    $return = glossary_print_entry_lower_section($course, $cm, $glossary, $entry, $mode, $hook, false, false, false);
+    glossary_print_entry_lower_section($course, $cm, $glossary, $entry, $mode, $hook, false, false);
     echo '</td>';
     echo '</tr>';
     echo "</table>\n";
-
-    return $return;
 }
 
 
Index: moodle/mod/glossary/formats/faq/faq_format.php
--- moodle/mod/glossary/formats/faq/faq_format.php Base (1.17)
+++ moodle/mod/glossary/formats/faq/faq_format.php Locally Modified (Based On 1.17)
@@ -1,8 +1,7 @@
 <?php
 
-function glossary_show_entry_faq($course, $cm, $glossary, $entry, $mode="", $hook="", $printicons=1, $ratings=NULL, $aliases=true) {
+function glossary_show_entry_faq($course, $cm, $glossary, $entry, $mode="", $hook="", $printicons=1, $aliases=true) {
     global $USER;
-    $return = false;
     if ( $entry ) {
 
         echo '<table class="glossarypost faq" cellspacing="0">';
@@ -34,7 +33,7 @@
 
         echo '</td></tr>';
         echo '<tr valign="top"><td colspan="3" class="entrylowersection">';
-        $return = glossary_print_entry_lower_section($course, $cm, $glossary, $entry, $mode, $hook, $printicons, $ratings, $aliases);
+        glossary_print_entry_lower_section($course, $cm, $glossary, $entry, $mode, $hook, $printicons, $aliases);
         echo '</td></tr></table>';
 
     } else {
@@ -42,10 +41,9 @@
         print_string('noentry', 'glossary');
         echo '</div>';
     }
-    return $return;
 }
 
-function glossary_print_entry_faq($course, $cm, $glossary, $entry, $mode='', $hook='', $printicons=1, $ratings=NULL) {
+function glossary_print_entry_faq($course, $cm, $glossary, $entry, $mode='', $hook='', $printicons=1) {
 
     //The print view for this format is exactly the normal view, so we use it
 
Index: moodle/mod/glossary/formats/fullwithauthor/fullwithauthor_format.php
--- moodle/mod/glossary/formats/fullwithauthor/fullwithauthor_format.php Base (1.25)
+++ moodle/mod/glossary/formats/fullwithauthor/fullwithauthor_format.php Locally Modified (Based On 1.25)
@@ -1,13 +1,12 @@
 <?php
 
-function glossary_show_entry_fullwithauthor($course, $cm, $glossary, $entry, $mode="", $hook="", $printicons=1, $ratings=NULL, $aliases=true) {
+function glossary_show_entry_fullwithauthor($course, $cm, $glossary, $entry, $mode="", $hook="", $printicons=1, $aliases=true) {
     global $CFG, $USER, $DB, $OUTPUT;
 
 
     $user = $DB->get_record('user', array('id'=>$entry->userid));
     $strby = get_string('writtenby', 'glossary');
 
-    $return = false;
     if ($entry) {
         echo '<table class="glossarypost fullwithauthor" cellspacing="0">';
         echo '<tr valign="top">';
@@ -48,7 +47,7 @@
         echo '<td class="left">&nbsp;</td>';
         echo '<td colspan="2" class="entrylowersection">';
 
-        $return = glossary_print_entry_lower_section($course, $cm, $glossary, $entry, $mode, $hook, $printicons, $ratings, $aliases);
+        glossary_print_entry_lower_section($course, $cm, $glossary, $entry, $mode, $hook, $printicons, $aliases);
         echo ' ';
         echo '</td></tr>';
         echo "</table>\n";
@@ -57,10 +56,9 @@
         print_string('noentry', 'glossary');
         echo '</div>';
     }
-    return $return;
 }
 
-function glossary_print_entry_fullwithauthor($course, $cm, $glossary, $entry, $mode="", $hook="", $printicons=1, $ratings=NULL) {
+function glossary_print_entry_fullwithauthor($course, $cm, $glossary, $entry, $mode="", $hook="", $printicons=1) {
 
     //The print view for this format is exactly the normal view, so we use it
 
Index: moodle/mod/glossary/formats/fullwithoutauthor/fullwithoutauthor_format.php
--- moodle/mod/glossary/formats/fullwithoutauthor/fullwithoutauthor_format.php Base (1.18)
+++ moodle/mod/glossary/formats/fullwithoutauthor/fullwithoutauthor_format.php Locally Modified (Based On 1.18)
@@ -1,10 +1,9 @@
 <?php
 
-function glossary_show_entry_fullwithoutauthor($course, $cm, $glossary, $entry, $mode="", $hook="", $printicons=1, $ratings=NULL, $aliases=true) {
+function glossary_show_entry_fullwithoutauthor($course, $cm, $glossary, $entry, $mode="", $hook="", $printicons=1, $aliases=true) {
     global $CFG, $USER;
 
 
-    $return = false;
     if ($entry) {
         echo '<table class="glossarypost fullwithoutauthor" cellspacing="0">';
         echo '<tr valign="top">';
@@ -33,7 +32,7 @@
 
         echo '</td></tr>';
         echo '<tr valign="top"><td colspan="2" class="entrylowersection">';
-        $return = glossary_print_entry_lower_section($course, $cm, $glossary, $entry, $mode, $hook, $printicons, $ratings, $aliases);
+        glossary_print_entry_lower_section($course, $cm, $glossary, $entry, $mode, $hook, $printicons, $aliases);
 
         echo ' ';
         echo '</td></tr>';
@@ -43,10 +42,9 @@
         print_string('noentry', 'glossary');
         echo '</center>';
     }
-    return $return;
 }
 
-function glossary_print_entry_fullwithoutauthor($course, $cm, $glossary, $entry, $mode="", $hook="", $printicons=1, $ratings=NULL) {
+function glossary_print_entry_fullwithoutauthor($course, $cm, $glossary, $entry, $mode="", $hook="", $printicons=1) {
 
     //The print view for this format is exactly the normal view, so we use it
 
Index: moodle/mod/glossary/lib.php
--- moodle/mod/glossary/lib.php Base (1.291)
+++ moodle/mod/glossary/lib.php Locally Modified (Based On 1.291)
@@ -109,9 +109,9 @@
     $glossary->timemodified = time();
     $glossary->id           = $glossary->instance;
 
-    if (empty($glossary->userating)) {
-        $glossary->assessed = 0;
-    }
+    //if (empty($glossary->userating)) {
+//        $glossary->assessed = 0;
+  //  }
 
     if (empty($glossary->ratingtime) or empty($glossary->assessed)) {
         $glossary->assesstimestart  = 0;
@@ -423,7 +423,7 @@
  * @return array array of grades, false if none
  */
 function glossary_get_user_grades($glossary, $userid=0) {
-    global $DB;
+    /*global $DB;
 
     $params = array('userid'=>$userid, 'gid'=>$glossary->id);
 
@@ -436,7 +436,25 @@
                    $user
           GROUP BY u.id";
 
-    return $DB->get_records_sql($sql, $params);
+    return $DB->get_records_sql($sql, $params);*/
+    global $CFG;
+
+    require_once($CFG->dirroot.'/rating/lib.php');
+    $rm = new rating_manager();
+
+    $ratingoptions = new stdclass();
+
+    //need these to work backwards to get a context id. Is there a better way to get contextid from a module instance?
+    $ratingoptions->modulename = 'glossary';
+    $ratingoptions->moduleid   = $glossary->id;
+
+    $ratingoptions->userid = $userid;
+    $ratingoptions->aggregationmethod = $glossary->assessed;
+    $ratingoptions->scaleid = $glossary->scale;
+    $ratingoptions->itemtable = 'glossary_entries';
+    $ratingoptions->itemtableusercolumn = 'userid';
+
+    return $rm->get_user_grades($ratingoptions);
 }
 
 /**
@@ -760,11 +778,10 @@
  * @param string $hook
  * @param int $printicons
  * @param int $displayformat
- * @param array $ratings
  * @param bool $printview
  * @return mixed
  */
-function glossary_print_entry($course, $cm, $glossary, $entry, $mode='',$hook='',$printicons = 1, $displayformat  = -1, $ratings = NULL, $printview = false) {
+function glossary_print_entry($course, $cm, $glossary, $entry, $mode='',$hook='',$printicons = 1, $displayformat  = -1, $printview = false) {
     global $USER, $CFG;
     $return = false;
     if ( $displayformat < 0 ) {
@@ -781,7 +798,7 @@
         if (file_exists($formatfile)) {
             include_once($formatfile);
             if (function_exists($functionname)) {
-                $return = $functionname($course, $cm, $glossary, $entry,$mode,$hook,$printicons,$ratings);
+                $return = $functionname($course, $cm, $glossary, $entry,$mode,$hook,$printicons);
             } else if ($printview) {
                 //If the glossary_print_entry_XXXX function doesn't exist, print default (old) print format
                 $return = glossary_print_entry_default($entry, $glossary, $cm);
@@ -1041,21 +1058,18 @@
  * @param string $mode
  * @param object $hook
  * @param bool $printicons
- * @param array $ratings
  * @param bool $aliases
- * @return mixed
+ * @return void
  */
-function  glossary_print_entry_lower_section($course, $cm, $glossary, $entry, $mode, $hook, $printicons, $ratings, $aliases=true) {
-
+function  glossary_print_entry_lower_section($course, $cm, $glossary, $entry, $mode, $hook, $printicons, $aliases=true) {
     if ($aliases) {
         $aliases = glossary_print_entry_aliases($course, $cm, $glossary, $entry, $mode, $hook,'html');
     }
     $icons   = '';
-    $return   = '';
     if ($printicons) {
         $icons   = glossary_print_entry_icons($course, $cm, $glossary, $entry, $mode, $hook,'html');
     }
-    if ($aliases || $icons || $ratings) {
+    if ($aliases || $icons || $entry->rating) {
         echo '<table>';
         if ( $aliases ) {
             echo '<tr valign="top"><td class="aliases">' .
@@ -1064,14 +1078,13 @@
         if ($icons) {
             echo '<tr valign="top"><td class="icons">'.$icons.'</td></tr>';
         }
-        if ($ratings) {
+        if ($entry->rating) {
             echo '<tr valign="top"><td class="ratings">';
-            $return = glossary_print_entry_ratings($course, $entry, $ratings);
+            glossary_print_entry_ratings($course, $entry);
             echo '</td></tr>';
         }
         echo '</table>';
     }
-    return $return;
 }
 
 /**
@@ -1743,11 +1756,10 @@
  * @global object
  * @param object $course
  * @param object $entry
- * @param array $ratings
  * @return bool
  */
-function  glossary_print_entry_ratings($course, $entry, $ratings = NULL) {
-    global $USER, $CFG, $DB;
+function  glossary_print_entry_ratings($course, $entry) {
+/*    global $USER, $CFG, $DB;
 
     $glossary = $DB->get_record('glossary', array('id'=>$entry->glossaryid));
     $glossarymod = $DB->get_record('modules', array('name'=>'glossary'));
@@ -1757,10 +1769,9 @@
 
     $context = get_context_instance(CONTEXT_MODULE, $cm->id);
 
-    $ratingsmenuused = false;
     if (!empty($ratings) and isloggedin()) {
         $useratings = true;
-        if ($ratings->assesstimestart and $ratings->assesstimefinish) {
+        if ($entry->rating->settings->assesstimestart and $entry->rating->settings->assesstimefinish) {
             if ($entry->timecreated < $ratings->assesstimestart or $entry->timecreated > $ratings->assesstimefinish) {
                 $useratings = false;
             }
@@ -1781,6 +1792,11 @@
         }
     }
     return $ratingsmenuused;
+    */
+    global $OUTPUT;
+    if( !empty($entry->rating) ){
+        echo $OUTPUT->render($entry->rating);
+    }
 }
 
 /**
@@ -2129,150 +2145,6 @@
 }
 
 /**
- * Print the multiple ratings on a entry given to the current user by others.
- * Scale is an array of ratings
- *
- * @param int $entryid
- * @param array $scale
- */
-function glossary_print_ratings_mean($entryid, $scale) {
-    global $OUTPUT;
-    static $strrate;
-
-    $mean = glossary_get_ratings_mean($entryid, $scale);
-
-    if ($mean !== "") {
-
-        if (empty($strratings)) {
-            $strratings = get_string("ratings", "glossary");
-        }
-
-        echo "$strratings: ";
-        $link = new moodle_url("/mod/glossary/report.php?id=$entryid");
-        $action = new popup_action('click', $link, "ratings");
-        echo $OUTPUT->action_link($link, $mean, $action);
-    }
-}
-
-/**
- * Return the mean rating of a entry given to the current user by others.
- * Scale is an array of possible ratings in the scale
- * Ratings is an optional simple array of actual ratings (just integers)
- *
- * @global object
- * @param int $entryid
- * @param array $scale
- * @param array $ratings
- * @return string
- */
-function glossary_get_ratings_mean($entryid, $scale, $ratings=NULL) {
-    global $DB;
-
-    if (!$ratings) {
-        $ratings = array();
-        if ($rates = $DB->get_records("glossary_ratings", array("entryid"=>$entryid))) {
-            foreach ($rates as $rate) {
-                $ratings[] = $rate->rating;
-            }
-        }
-    }
-
-    $count = count($ratings);
-
-    if ($count == 0) {
-        return "";
-
-    } else if ($count == 1) {
-        return $scale[$ratings[0]];
-
-    } else {
-        $total = 0;
-        foreach ($ratings as $rating) {
-            $total += $rating;
-        }
-        $mean = round( ((float)$total/(float)$count) + 0.001);  // Little fudge factor so that 0.5 goes UP
-
-        if (isset($scale[$mean])) {
-            return $scale[$mean]." ($count)";
-        } else {
-            return "$mean ($count)";    // Should never happen, hopefully
-        }
-    }
-}
-
-/**
- * Return a summary of entry ratings given to the current user by others.
- * Scale is an array of possible ratings in the scale
- *  Ratings is an optional simple array of actual ratings (just integers)
- *
- * @global object
- * @param int $entryid
- * @param array $scale
- * @param array $ratings
- * @return string
- */
-function glossary_get_ratings_summary($entryid, $scale, $ratings=NULL) {
-    global $DB;
-
-    if (!$ratings) {
-        $ratings = array();
-        if ($rates = $DB->get_records("glossary_ratings", array("entryid"=>$entryid))) {
-            foreach ($rates as $rate) {
-                $rating[] = $rate->rating;
-            }
-        }
-    }
-
-
-    if (!$count = count($ratings)) {
-        return "";
-    }
-
-
-    foreach ($scale as $key => $scaleitem) {
-        $sumrating[$key] = 0;
-    }
-
-    foreach ($ratings as $rating) {
-        $sumrating[$rating]++;
-    }
-
-    $summary = "";
-    foreach ($scale as $key => $scaleitem) {
-        $summary = $sumrating[$key].$summary;
-        if ($key > 1) {
-            $summary = "/$summary";
-        }
-    }
-    return $summary;
-}
-
-/**
- * Print the menu of ratings as part of a larger form.
- * If the entry has already been - set that value.
- * Scale is an array of ratings
- *
- * @global object
- * @param int $entryid
- * @param int $userid
- * @param array $scale
- */
-function glossary_print_rating_menu($entryid, $userid, $scale) {
-    global $DB, $OUTPUT;
-
-    static $strrate;
-
-    if (!$rating = $DB->get_record("glossary_ratings", array("userid"=>$userid, "entryid"=>$entryid))) {
-        $rating->rating = -999;
-    }
-
-    if (empty($strrate)) {
-        $strrate = get_string("rate", "glossary");
-    }
-    echo html_writer::select($scale, $entryid, $rating->rating, array('-999'=>"$strrate..."));
-}
-
-/**
  *
  * Returns the html code to represent any pagging bar. Paramenters are:
  *
@@ -2669,7 +2541,7 @@
         case FEATURE_COMPLETION_TRACKS_VIEWS: return true;
         case FEATURE_GRADE_HAS_GRADE:         return true;
         case FEATURE_GRADE_OUTCOMES:          return true;
-        case FEATURE_RATE:                 return false;
+        case FEATURE_RATE:                    return true;
 
         default: return null;
     }
Index: moodle/mod/glossary/report.php
--- moodle/mod/glossary/report.php Base (1.30)
+++ moodle/mod/glossary/report.php Locally Modified (Based On 1.30)
@@ -1,6 +1,7 @@
 <?php
 
 //  For a given entry, shows a report of all the ratings it has
+//todo andrew this file can be removed
 
 require_once("../../config.php");
 require_once("lib.php");
Index: moodle/mod/glossary/restorelib.php
--- moodle/mod/glossary/restorelib.php Base (1.59)
+++ moodle/mod/glossary/restorelib.php Locally Modified (Based On 1.59)
@@ -288,7 +288,8 @@
     }
 
     //This function restores the glossary_ratings
-    function glossary_ratings_restore_mods($old_entry_id,$new_entry_id,$info,$restore) {
+    //todo andrew can remove this
+    /*function glossary_ratings_restore_mods($old_entry_id,$new_entry_id,$info,$restore) {
         global $CFG, $DB;
 
         $status = true;
@@ -335,7 +336,7 @@
         }
 
         return $status;
-    }
+    }*/
 
     //This function restores the glossary_alias table
     function glossary_alias_restore_mods($old_entry_id,$new_entry_id,$info,$restore) {
Index: moodle/mod/glossary/view.php
--- moodle/mod/glossary/view.php Base (1.164)
+++ moodle/mod/glossary/view.php Locally Modified (Based On 1.164)
@@ -381,7 +381,6 @@
 /// printing the entries
 $entriesshown = 0;
 $currentpivot = '';
-$ratingsmenuused = NULL;
 $paging = NULL;
 
 if ($allentries) {
@@ -399,7 +398,27 @@
     echo $paging;
     echo '</div>';
 
-    $ratings = NULL;
+
+    //load ratings
+    require_once('../../rating/lib.php');
+    $ratingoptions = new stdclass();
+    $ratingoptions->context = $cm->context;
+    $ratingoptions->items = $allentries;
+    $ratingoptions->aggregate = $glossary->assessed;//the aggregation method
+    $ratingoptions->scaleid = $glossary->scale;
+    $ratingoptions->userid = $USER->id;
+    //if (!empty($_SERVER['HTTP_REFERER'])) {
+//        $ratingoptions->returnurl = $_SERVER['HTTP_REFERER'];
+  //  } else {
+        $ratingoptions->returnurl = $CFG->wwwroot.'/mod/glossary/view.php?id='.$cm->id;
+    //}
+    $ratingoptions->assesstimestart = $glossary->assesstimestart;
+    $ratingoptions->assesstimefinish = $glossary->assesstimefinish;
+
+    $rm = new rating_manager();
+    $allentries = $rm->get_ratings($ratingoptions);
+
+    /*$ratings = NULL;
     $ratingsmenuused = false;
     if ($glossary->assessed and isloggedin() and !isguestuser()) {
         $ratings = new object();
@@ -418,7 +437,7 @@
         echo "<div>";
         echo "<input type=\"hidden\" name=\"glossaryid\" value=\"$glossary->id\" />";
         echo "<input type=\"hidden\" name=\"sesskey\" value=\"".sesskey()."\" />";
-    }
+    }*/
 
     foreach ($allentries as $entry) {
 
@@ -483,11 +502,7 @@
         }
 
         /// and finally print the entry.
-
-        if ( glossary_print_entry($course, $cm, $glossary, $entry, $mode, $hook,1,$displayformat,$ratings) ) {
-            $ratingsmenuused = true;
-        }
-
+        glossary_print_entry($course, $cm, $glossary, $entry, $mode, $hook,1,$displayformat);
         $entriesshown++;
     }
 }
@@ -495,18 +510,6 @@
     echo $OUTPUT->box(get_string("noentries","glossary"), "generalbox boxaligncenter boxwidthwide");
 }
 
-
-if ($ratingsmenuused) {
-
-    echo "<div class=\"boxaligncenter\"><input type=\"submit\" value=\"".get_string("sendinratings", "glossary")."\" />";
-    if ($glossary->scale < 0) {
-        if ($scale = $DB->get_record("scale", array("id"=>abs($glossary->scale)))) {
-            echo $OUTPUT->help_icon_scale($course->id, $scale);
-        }
-    }
-    echo "</div>";
-}
-
 if (!empty($formsent)) {
     // close the form properly if used
     echo "</div>";
